package com.jiuqi.dna.ide.designer.parts;

import com.jiuqi.dna.ide.designer.elements.IDesignerDiagramElement;
import com.jiuqi.dna.ide.designer.elements.IRootElement;
import com.jiuqi.dna.ide.designer.policies.DesignerXYLayoutEditPolicy;
import java.util.ArrayList;
import org.eclipse.draw2d.ConnectionAnchor;
import org.eclipse.draw2d.FreeformLayer;
import org.eclipse.draw2d.FreeformLayout;
import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.MarginBorder;
import org.eclipse.gef.ConnectionEditPart;
import org.eclipse.gef.Request;
import org.eclipse.gef.editpolicies.RootComponentEditPolicy;

/* loaded from: com_jiuqi_dna_ide_designer_parts.jar:com/jiuqi/dna/ide/designer/parts/DesignerDiagramEditPart.class */
public class DesignerDiagramEditPart extends CompositeEditPart {
    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    protected IFigure createFigure() {
        FreeformLayer freeformLayer = new FreeformLayer();
        freeformLayer.setBorder(new MarginBorder(3));
        freeformLayer.setLayoutManager(new FreeformLayout());
        return freeformLayer;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.jiuqi.dna.ide.designer.parts.CompositeEditPart, com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public void createEditPolicies() {
        installEditPolicy("LayoutEditPolicy", new DesignerXYLayoutEditPolicy());
        installEditPolicy("ComponentEditPolicy", new RootComponentEditPolicy());
    }

    private IDesignerDiagramElement getCastedModel() {
        return (IDesignerDiagramElement) getModel();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.jiuqi.dna.ide.designer.parts.CompositeEditPart
    /* renamed from: getModelChildren */
    public ArrayList<IRootElement> m0getModelChildren() {
        ArrayList<IRootElement> rootElement = new ArrayList<>();
        rootElement.add(getCastedModel().getRoot());
        return rootElement;
    }

    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public ConnectionAnchor getSourceConnectionAnchor(ConnectionEditPart connection) {
        return null;
    }

    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public ConnectionAnchor getSourceConnectionAnchor(Request request) {
        return null;
    }

    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public ConnectionAnchor getTargetConnectionAnchor(ConnectionEditPart connection) {
        return null;
    }

    @Override // com.jiuqi.dna.ide.designer.parts.FigureEditPart
    public ConnectionAnchor getTargetConnectionAnchor(Request request) {
        return null;
    }
}
